%define upstream_name Test-CPAN-Meta-JSON
%define upstream_version 0.16

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Validate a META.json file within a CPAN distribution
License:	Artistic 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Validation of the META.json file in a CPAN distribution.

This module was written to ensure that a META.json file, provided with a 
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of package makers and
installers such as ExtUtils::MakeMaker, Module::Build and Module::Install.

Current CPAN META Specification, 2.0, was finally approved in April 2010, 
which forms the basis for the contents of a META.json file. The full 
specification is now included with the CPAN-Meta distribution.

http://search.cpan.org/perldoc?CPAN::Meta

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1034231
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 967450
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 849020
- imported package perl-Test-CPAN-Meta-JSON

